package com.iformall.domain.vo;


import com.iformall.domain.po.WxCUser;

import java.util.Date;

/**
 * Created by syf on 2018/8/30.
 */
public class WxCUserVo extends WxCUser {

    // 等级名称
    private Long levelId;
    private String levelName;
    private Date birthdate;
    private Integer sex;
    private String address;
    private String name;

    private Integer discountRate;
    private Integer amount;

    private Integer upgradePercent;
    private Integer upgradeScore;

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }


    public Integer getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(Integer discountRate) {
        this.discountRate = discountRate;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getUpgradePercent() {
        return upgradePercent;
    }

    public void setUpgradePercent(Integer upgradePercent) {
        this.upgradePercent = upgradePercent;
    }

    public Integer getUpgradeScore() {
        return upgradeScore;
    }

    public void setUpgradeScore(Integer upgradeScore) {
        this.upgradeScore = upgradeScore;
    }
}
